WhatsNext:AddConditionalStatement("Rune Ready Count",{
	category = "DEATHKNIGHT",
	test = function(checkTable) 
		local count = 0
		for i = 1,6 do
			if select(3,GetRuneCooldown(i)) then
				count = count + 1
			end
		end
		return  count >= tonumber(checkTable.amount)
	end,
	text = function(checkTable) 
		return "player has at least ".. tostring(checkTable.amount) .. " runes off cooldown."
	end,
	arguments = {
		amount = {label = "Rune Count", type = "integer", default = 0, min = 1, max = 6},
	}
})
